Delete workspace user

Remove a specific user from the current workspace by user ID.

Deleting a user from the workspace will revoke their access and remove all workspace-specific data.

Use cases:

  • Removing users who no longer need access
  • Managing team membership
  • Enforcing security and compliance
DELETE
/api/v1/workspaces/users/{userId}
AuthorizationBearer <token>

The API will use the Authorization: Bearer <your-key> header for requests.

In: header

Path Parameters

userId*string

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.excalidraw.com/api/v1/workspaces/users/string"
{
  "property1": null,
  "property2": null
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "string"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "string"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "string"
}